import pygame
from menustate import MenuState

def main():
	pygame.init()
	clock = pygame.time.Clock()
	pygame.display.set_caption("Snip.")
	screen = pygame.display.set_mode((800,600))
	state = MenuState()
	while state:
		for event in pygame.event.get():
			if event.type == pygame.QUIT:
				state = None
		if state:
			state = state.tick()
		if state:
			state.render(screen)
		pygame.display.update()
		clock.tick(60)