import pygame
from image import im
from planstate import PlanState

class HelpState:

	def __init__(self,lvl,path):
		self.lvl = lvl
		self.path = path
	
	def tick(self):
		if pygame.mouse.get_pressed()[0]:
			return PlanState(self.lvl,self.path)
		return self
	
	def render(self,screen):
		screen.blit(im.get("help.png"),(0,0))